#!/bin/sh
# $Id: t-msgmod-6.sh,v 1.1 2008/01/27 23:28:03 ca Exp $
#
# ----------------------------------------
# test message body modifications: replace, remove headers
# uses t-msgmod-0
# ----------------------------------------
#
test -s stop && exit 1
#

GREP=grep
ERR=false
ERRS=0
if test X"`uname`" != "XOSF1"
then
while getopts s:V FLAG
do
  case "${FLAG}" in
    s) SKIP="${SKIP} ${OPTARG}";;
    V) VERBOSE=true;;
  esac
done
shift `expr ${OPTIND} - 1`
fi

TPRG=./t-msgmod-0
IN=msg-6.in
OK=msg-6.ok
OUT=msg-6.out

# ----------------------------------------
# test: remove, replace header
TEST=1
if echo " ${SKIP} X" | ${GREP} -v " ${TEST} " > /dev/null
then
ERR=false

cat > ${IN} <<EOF
From: a
To: b
Subject: c

body
.
EOF

cat > ${OK} <<EOF
To: b
Subject: New

body
.
EOF

${TPRG} -d 0 -r '2=Subject: New' < ${IN} > ${OUT}
if diff ${OK} ${OUT}
then
   :
else
   echo "$0: test ${TEST} failed"
   ERR=true
fi

if ${ERR}
then
   echo "$0: test ${TEST} failed"
   ERRS=`expr ${ERRS} + 1 `
   test X"${MTA_STOPONERROR}" != X && exit 1
fi

else
  ${VERBOSE} && echo "$0: test ${TEST} SKIPPED"
fi


# ----------------------------------------
# test: replace, remove header
TEST=2
if echo " ${SKIP} X" | ${GREP} -v " ${TEST} " > /dev/null
then
ERR=false

cat > ${IN} <<EOF
From: a
To: b
Subject: c

body
.
EOF

cat > ${OK} <<EOF
To: b
Subject: New

body
.
EOF

${TPRG} -r '2=Subject: New' -d 0 < ${IN} > ${OUT}
if diff ${OK} ${OUT}
then
   :
else
   echo "$0: test ${TEST} failed"
   ERR=true
fi

if ${ERR}
then
   echo "$0: test ${TEST} failed"
   ERRS=`expr ${ERRS} + 1 `
   test X"${MTA_STOPONERROR}" != X && exit 1
fi

else
  ${VERBOSE} && echo "$0: test ${TEST} SKIPPED"
fi


# ----------------------------------------
# test: prepend, replace, remove, append header
TEST=3
if echo " ${SKIP} X" | ${GREP} -v " ${TEST} " > /dev/null
then
ERR=false

cat > ${IN} <<EOF
Received: from someone
From: a
To: b
Subject: c

body
.
EOF

cat > ${OK} <<EOF
X-HdrP: prepend
From: a
To: b
Subject: New
X-HdrA: append

body
.
EOF

${TPRG} -M p='X-HdrP: prepend' -M a='X-HdrA: append' -r '3=Subject: New' -d 0 < ${IN} > ${OUT}
if diff ${OK} ${OUT}
then
   :
else
   echo "$0: test ${TEST} failed"
   ERR=true
fi

if ${ERR}
then
   echo "$0: test ${TEST} failed"
   ERRS=`expr ${ERRS} + 1 `
   test X"${MTA_STOPONERROR}" != X && exit 1
fi

else
  ${VERBOSE} && echo "$0: test ${TEST} SKIPPED"
fi




# ----------------------------------------
# end
if test "${ERRS}" = "0"
then
  rm -f ${IN} ${OK} ${OUT}
  exit 0
else
  echo "${ERRS} error(s)"
  exit 1
fi
